angular
.module(
    'sdbgui',
    [
        'ngMessages', 'ngAnimate', 'ui.bootstrap', 'angularSlashDB',
        'ngclipboard', 'ui.codemirror', 'ui.layout', 'selectize',
    ]
)
.config(['$locationProvider', '$compileProvider', '$httpProvider', 'slashDBProvider', 'sessionControlProvider',
    function config($locationProvider, $compileProvider, $httpProvider, slashDBProvider, sessionControlProvider) {

        $compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|blob):/);

        $httpProvider.defaults.withCredentials = true;

        $httpProvider.interceptors.push(sessionControlProvider.interceptor)

        slashDBProvider.setEndpoint(window.location.origin);
        slashDBProvider.setCacheData(false);
    }])
.filter("valueRepr", function() {
    return function(value, decimalDigits) {
        if (
            Number(decimalDigits) === decimalDigits && decimalDigits % 1 === 0 && // check if integer
            Number(value) === value && value % 1 !== 0 // check if float
        ){
            return Math.round(value*Math.pow(10,decimalDigits))/Math.pow(10,decimalDigits);
        } else {
            return value
        }
    };
});